package common.nbt;

public class NBTTagDoubleList extends NBTTagList<NBTTagDouble> {
	protected byte getId() {
		return 14;
	}

	protected byte getType() {
		return 6;
	}

	protected NBTTagList<NBTTagDouble> createInstance() {
		return new NBTTagDoubleList();
	}

	protected NBTTagDouble getDefault() {
		return new NBTTagDouble(0.0);
	}

	public double get(int index) {
		return this.getElem(index).getDouble();
	}

	public void add(double value) {
		this.addElem(new NBTTagDouble(value));
	}
}
