package common.nbt;

public class NBTTagFloatList extends NBTTagList<NBTTagFloat> {
	protected byte getId() {
		return 13;
	}

	protected byte getType() {
		return 5;
	}

	protected NBTTagList<NBTTagFloat> createInstance() {
		return new NBTTagFloatList();
	}

	protected NBTTagFloat getDefault() {
		return new NBTTagFloat(0.0f);
	}

	public float get(int index) {
		return this.getElem(index).getFloat();
	}

	public void add(float value) {
		this.addElem(new NBTTagFloat(value));
	}
}
